commit:     c567a3ed1adf80cd7d6d473929fe18cf64786a14
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 12 17:03:27 2025 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Apr 12 17:40:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c567a3ed

sys-firmware/sof-firmware: add 2025.01.1

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sys-firmware/sof-firmware/Manifest                 |  1 +
 .../sof-firmware/sof-firmware-2025.01.1.ebuild     | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/sys-firmware/sof-firmware/Manifest 
b/sys-firmware/sof-firmware/Manifest
index f9707caa8d4e..847252457877 100644
--- a/sys-firmware/sof-firmware/Manifest
+++ b/sys-firmware/sof-firmware/Manifest
@@ -1,2 +1,3 @@
 DIST sof-firmware-2024.09.2.tar.gz 10207994 BLAKE2B 
ce26d07a77ebb1d37a9c22ac884cf0331a4a6c3e0a1591b895e777a3fafd3e5ef489cb5770c6a577d25697b0f8c58d64db24cb01a72c1d495b2e502147434a70
 SHA512 
fadb9078705e0813897650e19166ad0d81710f8ba08ecb74de413a0bd7b27d73f9dcedd4583687f9deefd22ccb78b56ede8fbc5ab6fbd56e181c6b63be816a18
+DIST sof-firmware-2025.01.1.tar.gz 10451910 BLAKE2B 
94f0573d080c1cdf73426cc6383c0ae60dfa32dc2142627315a77d67ab29cf53320d6390fbc4f2c02bb7ca392010d6da37d8807fe79b31880f48c15968bcb7a2
 SHA512 
17aed645e22e2406b54a9a57800eade3c08f885a070b7eb363ef433b0d7e39cf2adf66c4e9d2ddf5325ce85de8f7680a82a0e7cec63513b65bba664b7b67b035
 DIST sof-firmware-2025.01.tar.gz 10440070 BLAKE2B 
e63f319f91b530f10b7ed9873f55e2da74fe21af7269d1ed05a31320b9bbdffb8c467ecfbeb2d00570778e32c6f53b79a5840e51651ec9adbeff56ec68605d83
 SHA512 
22f7b715121259df36658bf936e4abb9ae640296c5e296f58d7d6c45fa95ba31d198dabd80525bb71619c806319cfa6311fe11a5d41dd1ba82526de42cb59ba0

diff --git a/sys-firmware/sof-firmware/sof-firmware-2025.01.1.ebuild 
b/sys-firmware/sof-firmware/sof-firmware-2025.01.1.ebuild
new file mode 100644
index 000000000000..c4abe411705d
--- /dev/null
+++ b/sys-firmware/sof-firmware/sof-firmware-2025.01.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Sound Open Firmware (SOF) binary files"
+HOMEPAGE="https://www.sofproject.org https://github.com/thesofproject/sof 
https://github.com/thesofproject/sof-bin";
+SRC_URI="https://github.com/thesofproject/sof-bin/releases/download/v${PV}/sof-bin-${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}"/sof-bin-${PV}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+tools"
+
+RDEPEND="
+       tools? (
+               media-libs/alsa-lib
+               sys-libs/glibc
+       )
+"
+
+QA_PREBUILT="usr/bin/sof-ctl
+       usr/bin/sof-logger
+       usr/bin/sof-probes"
+
+src_install() {
+       dodir /lib/firmware/intel
+       dodir /usr/bin
+       FW_DEST="${D}/lib/firmware/intel" TOOLS_DEST="${D}/usr/bin" 
"${S}/install.sh" || die
+
+       # Drop tools if requested (i.e. useful for musl systems, where glibc
+       # is not available)
+       if ! use tools ; then
+               rm -rv "${D}"/usr/bin || die
+       fi
+}
+
+pkg_preinst() {
+       # Fix sof-ace-tplg directory symlink collisions
+       local sofpath="${EROOT}/lib/firmware/intel/sof-ace-tplg"
+       if [[ ! -L "${sofpath}" && -d "${sofpath}" ]] ; then
+               rm -r "${sofpath}" || die
+       fi
+}

Reply via email to